=head1 NAME

DBIx::Class::Manual - Index of the Manual

=head1 DESCRIPTION

This is the L<DBIx::Class> users manual. DBIx::Class is a SQL->OOP mapper.
This means that it can represent your SQL tables as perl classes, and give
you convenient accessors and methods for retrieving and updating information
from your SQL database.

=head1 SECTIONS

=head2 L<DBIx::Class::Manual::FAQ>

Short answers and doc pointers to questions.

=head2 L<DBIx::Class::Manual::Glossary>

Explanations of terms used in this documentation.

=head2 L<DBIx::Class::Manual::Intro>

Beginner guide to using DBIx::Class.

=head2 L<DBIx::Class::Manual::Example>

An example of slightly more complex usage.

=head2 L<DBIx::Class::Manual::Joining>

How to translate known SQL JOINs into DBIx-Class-ish.

=head2 L<DBIx::Class::Manual::Cookbook>

Convenient recipes for DBIC usage.

=head2 L<DBIx::Class::Manual::Reading>

How to read (and write) the reference documentation.

=head2 L<DBIx::Class::Manual::DocMap>

Lists of modules by task to help you find the correct document.

=head2 L<DBIx::Class::Manual::Troubleshooting>

Got trouble? Let us shoot it for you.

If you're using the CDBI Compat layer, we suggest reading the L<Class::DBI>
documentation. It should behave the same way.

=head2 L<DBIx::Class::Manual::Component>

Existing components, and documentation and example on how to
develop new ones.

=head1 FURTHER QUESTIONS?

Check the list of L<additional DBIC resources|DBIx::Class/GETTING HELP/SUPPORT>.

=head1 COPYRIGHT AND LICENSE

This module is free software L<copyright|DBIx::Class/COPYRIGHT AND LICENSE>
by the L<DBIx::Class (DBIC) authors|DBIx::Class/AUTHORS>. You can
redistribute it and/or modify it under the same terms as the
L<DBIx::Class library|DBIx::Class/COPYRIGHT AND LICENSE>.
